<%
    import re

    SERVER_ID_MATCH = re.compile(r'^[a-z0-9][a-z0-9\-\.]+[a-z0-9]-([0-9]+)[a-z](?:\.[a-z0-9\-\.]+[a-z0-9])?$').match

    m = SERVER_ID_MATCH(server_id)
    if m:
        server_key = m.group(1)
    else:
        server_key = server_id.split('-')[-1].rstrip('ab')

    if server_id.find('ct-db-') > -1:
        key = "C%s" % server_key
    elif server_id.find('bdd-rep-') > -1:
        key = "R%s" % server_key
    elif server_id.find('bdd-qualif-') > -1:
        key = "Q%s" % server_key
    else:
        key = "X%s" % server_key

    if status == 'processing':
        xstatus = 'INPROGRESS'
    elif status == 'success':
        xstatus = 'OK'
    elif status == 'failure':
        xstatus = 'KO'
    else:
        xstatus = 'WARNING'

    data = {'key':   'supervision:dashboardv2:backup:%s' % key,
            'value': {'title': "%s - xtrargon-ng: %s" % (key, server_id),
                      'status': xstatus,
                      'kpis': duration,
                      'hostname': _HOSTNAME_,
                      'timestamp': _TIMESTAMP_,
                      'uuid': uuid,
                      'softname': _SOFTNAME_,
                      'softver': _SOFTVER_,
                      'details': _VARS_}}
%>
${data | n,json.dumps}
